org.jfree.chart.plot.dial

## Interface DialScale

All Superinterfaces:
  DialLayer

All Known Implementing Classes:
  StandardDialScale

    public interface DialScale
    extends DialLayer

A dial scale is a specialised layer that has the ability to convert data values into angles.

Since:
  1.0.7

### Method Summary

Methods
`double` `angleToValue(double angle)` Converts an angle (in degrees) to a data value.
`double` `valueToAngle(double value)` Converts a data value to an angle (in degrees, using the same specification as Java's Arc2D class).

### Methods inherited from interface org.jfree.chart.plot.dial.DialLayer

`addChangeListener, draw, hasListener, isClippedToWindow, isVisible, removeChangeListener`

### Method Detail

#### valueToAngle

    double valueToAngle(double value)

Converts a data value to an angle (in degrees, using the same specification as Java's Arc2D class).

Parameters:
  `value` - the data value.
Returns:
  The angle in degrees.
See Also:
  `angleToValue(double)`

#### angleToValue

    double angleToValue(double angle)

Converts an angle (in degrees) to a data value.

Parameters:
  `angle` - the angle (in degrees).
Returns:
  The data value.
See Also:
  `valueToAngle(double)`